/*
 * vdr-podcatcher - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2006 Tobias Grimm <vdr@e-tobi.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: downloadpoolmock.cc 2518 2006-01-29 23:33:10Z svntobi $
 *
 */

#include "downloadpoolmock.h"

using namespace std;

DownloadPoolMock::DownloadPoolMock()
:StringMessageMock()
{
}

DownloadPoolMock::DownloadPoolMock(StringMessageMock& parent)
:StringMessageMock(parent)
{
}

void DownloadPoolMock::AddDownload(ref_ptr<Download> download)
{
    AddMethod("AddDownload", download->GetUrl());
}

void DownloadPoolMock::RemoveDownload(ref_ptr<Download> download)
{
    AddMethod("RemoveDownload", download->GetUrl());
}

ref_ptr<Download> DownloadPoolMock::GetNextDownload()
{
    AddMethod("GetNextDownload");
    if (!returnedDownload.get())
    {
        return ref_ptr<Download>();
    }
    else
    {
        return returnedDownload;
    }
}

ref_ptr<Download> DownloadPoolMock::GetDownloadByUrl(string url)
{
    AddMethod("GetDownloadByUrl", url);
    return returnedDownload;
}
